package com.ruoyi.demo.entity.vo;

import com.ruoyi.demo.entity.PlanItem;
import lombok.Data;

@Data
public class PlanManageItemVo {
    private String equipmentId;
    private String equipmentName;
    private String equipmentCode;
    private String addrInfo;
    private String addrCode;
    private String addrCodeInfo;
    private String storeId;
    private String storeName;

    public PlanManageItemVo(){}
    public PlanManageItemVo(PlanItem item){
        this.equipmentId = item.getEquipmentId();
        this.equipmentName = item.getEquipmentName();
        this.equipmentCode = item.getEquipmentCode();
        this.addrInfo = item.getAddrInfo();
        this.addrCode = item.getAddrCode();
        this.addrCodeInfo = item.getAddrCodeInfo();
        this.storeId = item.getStoreId();
        // 查找其对应的storeName
    }
}
